Espelho ponto por periodo
curl --request GET \
--url https://api-hml.ponto-on.com/funcionarios/espelho/1/1/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-hml.ponto-on.com/funcionarios/espelho/1/1/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-hml.ponto-on.com/funcionarios/espelho/1/1/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"diasTrabalhados": 0,
"espelhoPonto": {
"Thu Feb 15 2024 21:00:00 GMT-0300 (Horário Padrão de Brasília)": {
"horasTrabalhada": "00:00:00",
"registros": [
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:10.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
},
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:16.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
},
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:19.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
},
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:24.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
},
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:28.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
},
{
"falta": true,
"horarioRegistro": "2024-02-16T19:40:04.000Z",
"houveAjuste": null,
"localizacao": "-8.2936035, -35.955603",
"motivoAjuste": null,
"status": "falta",
"tipo": "falta"
}
]
}
},
"horasExtrasTotais": "00:00:00",
"horasTotais": "00:00:00",
"valorHora": "50.00",
"valorParaPagar": "R$ 0,00"
}Endpoint para empresas
Espelho ponto por periodo
Espelho ponto por periodo
GET
/
funcionarios
/
espelho
/
1
/
1
/
Espelho ponto por periodo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"2024-02-16T00:00:00.000Z"
Example:
"2024-03-02T00:00:00.000Z"